Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dotazioneorganica.pojo
Class DotazioneOrganica

    java.lang.Object
      it.svimservice.nsisr.web.ws.dotazioneorganica.pojo.DotazioneOrganica

    public class DotazioneOrganica

extends java.lang.Object

Constructor Summary
`DotazioneOrganica()`

Method Summary
`DotazioneOrganicaGetResponse` | `getDotazioneOrganica(AttributiAutorizzativi attributiAutorizzativi, DotazioneOrganicaGetRequest filtriDotazioneOrganica)` Il servizio restituisce la dotazione organica di un'azienda sanitaria ad una certa data di riferimento.
`DotazioneOrganicaSetResponse` | `setDotazioneOrganica(AttributiAutorizzativi attributiAutorizzativi, DotazioneOrganicaSetRequest dotazioneOrganica)` Il servizio consente alle aziende sanitarie di registrare i dati delle proprie dotazioni organiche.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DotazioneOrganica

    public DotazioneOrganica()

Method Detail

### getDotazioneOrganica

    public DotazioneOrganicaGetResponse getDotazioneOrganica(AttributiAutorizzativi attributiAutorizzativi,
                                                             DotazioneOrganicaGetRequest filtriDotazioneOrganica)

  Il servizio restituisce la dotazione organica di un'azienda sanitaria ad una certa data di riferimento.

  Parameters:
    `attributiAutorizzativi` - attributi di autorizzazione.
    `filtriDotazioneOrganica` - filtri di ricerca della dotazione organica.
  Returns:
    DotazioneOrganicaGetResponse dotazione organica.
  Throws:
    `SoapFaultException` - errore applicativo, puņ assumere i seguenti valori:
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 100000: Si č verificato un errore nel sistema.
    - 001514: Richiesta non valida.

### setDotazioneOrganica

    public DotazioneOrganicaSetResponse setDotazioneOrganica(AttributiAutorizzativi attributiAutorizzativi,
                                                             DotazioneOrganicaSetRequest dotazioneOrganica)

  Il servizio consente alle aziende sanitarie di registrare i dati delle proprie dotazioni organiche.

  Parameters:
    `attributiAutorizzativi` - attributi di autorizzazione.
    `dotazioneOrganica` - dotazione organica da registrare.
  Returns:
    DotazioneOrganicaSetResponse esito della registrazione.
  Throws:
    `SoapFaultException` - errore applicativo, puņ assumere i seguenti valori:
    - 100000: Si č verificato un errore nel sistema.
    - 001514: Richiesta non valida.
    - 000001: Dato non valido.
    - 000002: Manca un dato obbligatorio.
    - 001744: In archivio esiste una dotazione organica con data delibera successiva alla data corrente.
    - 303745: Nel sistema esiste gia' una dotazione organica con data riferimento uguale a quella inserita.
    - 303776: I campi tipologia incarico e qualifica non devono essere entrambi valorizzati.
    - 303795: Tipologia personale previsto gia' specificata nella dotazione organica
    - 303798: L'inquadramento specificato non e' valido.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD